import * as __WEBPACK_EXTERNAL_MODULE_antd_style__ from "antd-style";
function _tagged_template_literal(strings, raw) {
    if (!raw) raw = strings.slice(0);
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject() {
    const data = _tagged_template_literal([
        "\n      position: relative;\n      width: 100%;\n      height: 100%;\n\n      &.draggable {\n        cursor: move;\n        padding: 0 10px;\n        border-radius: 5px;\n        background: #f0f0f0;\n      }\n      &.leftBorder {\n        ::before {\n          content: '';\n          position: absolute;\n          left: 0;\n          top: 50%;\n          transform: translateY(-50%);\n          width: 3px;\n          height: 50%;\n          background-color: var(--colorPrimaryText);\n\n          /* 使用 clip-path 裁剪为梯形 */\n          clip-path: polygon(0 0, 100% 15%, 100% 85%, 0 100%);\n        }\n      }\n\n      &.adminMenu {\n        .general-schema-designer {\n          display: none;\n        }\n      }\n\n      .wrapper {\n        display: flex;\n        flex-direction: row;\n        justify-content: space-around;\n      }\n    "
    ]);
    _templateObject = function() {
        return data;
    };
    return data;
}
const useStyles = (0, __WEBPACK_EXTERNAL_MODULE_antd_style__.createStyles)((param)=>{
    let { css, token } = param;
    return {
        dragHandleMenu: css(_templateObject())
    };
});
export { useStyles };
